// file      : CCF/CIDL/SemanticAction.hpp
// author    : Boris Kolpackov <boris@dre.vanderbilt.edu>
// cvs-id    : SemanticAction.hpp,v 1.2 2003/07/29 21:45:39 boris Exp

#ifndef CCF_CIDL_SEMANTIC_ACTION_HPP
#define CCF_CIDL_SEMANTIC_ACTION_HPP

#include "CCF/IDL3/SemanticAction.hpp"

#include "CCF/CIDL/SemanticAction/Composition.hpp"
#include "CCF/CIDL/SemanticAction/HomeExecutor.hpp"

#include "CCF/CIDL/SemanticAction/Factory.hpp"

namespace CCF
{
  namespace CIDL
  {
    namespace SemanticAction
    {
      using namespace IDL3::SemanticAction;
    }
  }
}

#endif  // CCF_CIDL_SEMANTIC_ACTION_HPP
